gPath                  package:grid                  R Documentation

Concatenate Grob Names

Description:

     This function can be used to generate a grob path for use in
     'grid.edit' and friends.

     A grob path is a list of nested grob names.

Usage:

     gPath(...)

Arguments:

     ...: Character values which are grob names. 

Details:

     Grob names must only be unique amongst grobs which share the same
     parent in a gTree.

     This function can be used to generate a specification for a grob
     that includes the grob's parent's name (and the name of its parent
     and so on).

     For interactive use, it is possible to directly specify a path,
     but it is strongly recommended that this function is used
     otherwise in case the path separator is changed in future versions
     of grid.

Value:

     A ' gPath ' object.

See Also:

     'grob', 'editGrob', 'addGrob', 'removeGrob', 'getGrob', 'setGrob'

Examples:

     gPath("g1", "g2")

